Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/openjade: create -libs and -doc subpackage

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Wed, 21 Oct 2015 14:57:19 +0200

Also install the license and lowercase the license name.
---
 testing/openjade/APKBUILD | 28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)
diff --git a/testing/openjade/APKBUILD b/testing/openjade/APKBUILD
index 5ecb48b..2a23305 100644
--- a/testing/openjade/APKBUILD
+++ b/testing/openjade/APKBUILD
_at_@ -1,28 +1,27 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Contributor: Leonardo Arena <rnalrd_at_alpinelinux.org>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 pkgname=openjade
 pkgver=1.3.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Implementation of the DSSSL style language"
 url="http://openjade.sourceforge.net"
 arch="all"
-license="Custom"
-depends=
-depends_dev=
+license="custom"
+depends=""
+depends_dev=""
 makedepends="$depends_dev opensp-dev perl"
-install=
-subpackages="$pkgname-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-libs $pkgname-doc"
 source="http://prdownloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
 	openjade-1.3.2-msggen.pl.patch
 	openjade-1.3.2-ldflags.patch
 	openjade-1.3.2-deplibs.patch
 	openjade-1.3.2-libosp-la.patch
 	openjade-1.3.2-gcc46.patch
-	openjade-1.3.2-respect-ldflags.patch
-	"
-
+	openjade-1.3.2-respect-ldflags.patch"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-
 prepare() {
 	cd "$_builddir"
         for i in $source; do
_at_@ -43,7 +42,14 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
+
+	install -Dm644 COPYING \
+		"$pkgdir"/usr/share/licenses/$pkgname/COPYING || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+	install -m644 README ChangeLog NEWS \
+		"$pkgdir"/usr/share/doc/$pkgname || return 1
 }
 
 md5sums="7df692e3186109cc00db6825b777201e  openjade-1.3.2.tar.gz
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Oct 21 2015 - 14:57:19 GMT